org.modeshape.jcr

## Class RepositoryConfiguration.InitialContent

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.InitialContent

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.InitialContent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.InitialContent(Document workspaces)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInitialContentFile(String workspaceName)` Returns the initial content file configured for the workspace with the given name.
    `boolean` | `hasInitialContentFile(String workspaceName)` Checks if there is an initial content file configured for the given workspace.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.InitialContent

          public RepositoryConfiguration.InitialContent(Document workspaces)

  - ### Method Detail

    - #### hasInitialContentFile

          public boolean hasInitialContentFile(String workspaceName)

      Checks if there is an initial content file configured for the given workspace.
      Parameters:
        `workspaceName` - a non-null `String` representing the name of a workspace
      Returns:
        `true` if either there's an initial file configured specifically for the workspace or there's a default file which applies to all the workspaces.

    - #### getInitialContentFile

          public String getInitialContentFile(String workspaceName)

      Returns the initial content file configured for the workspace with the given name.
      Parameters:
        `workspaceName` - a non-null `String` representing the name of a workspace
      Returns:
        either a `String` representing the initial content file for the workspace, or an empty string indicating that explicitly no file has been configured for this workspace.

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.